source: squid-ssl/trunk/fuentes/lib/libTrie/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 43.2 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94subdir = lib/libTrie
95ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
97        $(top_srcdir)/acinclude/init.m4 \
98        $(top_srcdir)/acinclude/squid-util.m4 \
99        $(top_srcdir)/acinclude/compiler-flags.m4 \
100        $(top_srcdir)/acinclude/os-deps.m4 \
101        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
102        $(top_srcdir)/acinclude/pkg.m4 \
103        $(top_srcdir)/acinclude/lib-checks.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
106        $(top_srcdir)/helpers/basic_auth/modules.m4 \
107        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
121        $(top_srcdir)/helpers/digest_auth/modules.m4 \
122        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
133        $(top_srcdir)/helpers/log_daemon/modules.m4 \
134        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
136        $(top_srcdir)/helpers/external_acl/modules.m4 \
137        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
141        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
142        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/session/required.m4 \
146        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
147        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
148        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
149        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
150        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
153        $(top_srcdir)/configure.ac
154am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
155        $(ACLOCAL_M4)
156DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
157        $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162LIBRARIES = $(noinst_LIBRARIES)
163ARFLAGS = cru
164AM_V_AR = $(am__v_AR_@AM_V@)
165am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
166am__v_AR_0 = @echo "  AR      " $@;
167am__v_AR_1 =
168libTrie_a_AR = $(AR) $(ARFLAGS)
169libTrie_a_LIBADD =
170am_libTrie_a_OBJECTS = Trie.$(OBJEXT) TrieNode.$(OBJEXT)
171libTrie_a_OBJECTS = $(am_libTrie_a_OBJECTS)
172AM_V_P = $(am__v_P_@AM_V@)
173am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
174am__v_P_0 = false
175am__v_P_1 = :
176AM_V_GEN = $(am__v_GEN_@AM_V@)
177am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
178am__v_GEN_0 = @echo "  GEN     " $@;
179am__v_GEN_1 =
180AM_V_at = $(am__v_at_@AM_V@)
181am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
182am__v_at_0 = @
183am__v_at_1 =
184DEFAULT_INCLUDES =
185depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
186am__depfiles_maybe = depfiles
187am__mv = mv -f
188CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
189        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
190AM_V_lt = $(am__v_lt_@AM_V@)
191am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
192am__v_lt_0 = --silent
193am__v_lt_1 =
194LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
195        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
196        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
197        $(AM_CXXFLAGS) $(CXXFLAGS)
198AM_V_CXX = $(am__v_CXX_@AM_V@)
199am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
200am__v_CXX_0 = @echo "  CXX     " $@;
201am__v_CXX_1 =
202CXXLD = $(CXX)
203CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
204        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
205        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
206AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
207am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
208am__v_CXXLD_0 = @echo "  CXXLD   " $@;
209am__v_CXXLD_1 =
210COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
211        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
212LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
213        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
214        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
215        $(AM_CFLAGS) $(CFLAGS)
216AM_V_CC = $(am__v_CC_@AM_V@)
217am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
218am__v_CC_0 = @echo "  CC      " $@;
219am__v_CC_1 =
220CCLD = $(CC)
221LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
222        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
223        $(AM_LDFLAGS) $(LDFLAGS) -o $@
224AM_V_CCLD = $(am__v_CCLD_@AM_V@)
225am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
226am__v_CCLD_0 = @echo "  CCLD    " $@;
227am__v_CCLD_1 =
228SOURCES = $(libTrie_a_SOURCES)
229DIST_SOURCES = $(libTrie_a_SOURCES)
230RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
231        ctags-recursive dvi-recursive html-recursive info-recursive \
232        install-data-recursive install-dvi-recursive \
233        install-exec-recursive install-html-recursive \
234        install-info-recursive install-pdf-recursive \
235        install-ps-recursive install-recursive installcheck-recursive \
236        installdirs-recursive pdf-recursive ps-recursive \
237        tags-recursive uninstall-recursive
238am__can_run_installinfo = \
239  case $$AM_UPDATE_INFO_DIR in \
240    n|no|NO) false;; \
241    *) (install-info --version) >/dev/null 2>&1;; \
242  esac
243HEADERS = $(noinst_HEADERS)
244RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
245  distclean-recursive maintainer-clean-recursive
246am__recursive_targets = \
247  $(RECURSIVE_TARGETS) \
248  $(RECURSIVE_CLEAN_TARGETS) \
249  $(am__extra_recursive_targets)
250AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
251        check recheck distdir
252am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
253# Read a list of newline-separated strings from the standard input,
254# and print each of them once, without duplicates.  Input order is
255# *not* preserved.
256am__uniquify_input = $(AWK) '\
257  BEGIN { nonempty = 0; } \
258  { items[$$0] = 1; nonempty = 1; } \
259  END { if (nonempty) { for (i in items) print i; }; } \
260'
261# Make sure the list of sources is unique.  This is necessary because,
262# e.g., the same source file might be shared among _SOURCES variables
263# for different programs/libraries.
264am__define_uniq_tagged_files = \
265  list='$(am__tagged_files)'; \
266  unique=`for i in $$list; do \
267    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
268  done | $(am__uniquify_input)`
269ETAGS = etags
270CTAGS = ctags
271am__tty_colors_dummy = \
272  mgn= red= grn= lgn= blu= brg= std=; \
273  am__color_tests=no
274am__tty_colors = { \
275  $(am__tty_colors_dummy); \
276  if test "X$(AM_COLOR_TESTS)" = Xno; then \
277    am__color_tests=no; \
278  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
279    am__color_tests=yes; \
280  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
281    am__color_tests=yes; \
282  fi; \
283  if test $$am__color_tests = yes; then \
284    red='[0;31m'; \
285    grn='[0;32m'; \
286    lgn='[1;32m'; \
287    blu='[1;34m'; \
288    mgn='[0;35m'; \
289    brg='[1m'; \
290    std='[m'; \
291  fi; \
292}
293am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
294am__vpath_adj = case $$p in \
295    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
296    *) f=$$p;; \
297  esac;
298am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
299am__install_max = 40
300am__nobase_strip_setup = \
301  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
302am__nobase_strip = \
303  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
304am__nobase_list = $(am__nobase_strip_setup); \
305  for p in $$list; do echo "$$p $$p"; done | \
306  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
307  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
308    if (++n[$$2] == $(am__install_max)) \
309      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
310    END { for (dir in files) print dir, files[dir] }'
311am__base_list = \
312  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
313  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
314am__uninstall_files_from_dir = { \
315  test -z "$$files" \
316    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
317    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
318         $(am__cd) "$$dir" && rm -f $$files; }; \
319  }
320am__recheck_rx = ^[     ]*:recheck:[    ]*
321am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
322am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
323# A command that, given a newline-separated list of test names on the
324# standard input, print the name of the tests that are to be re-run
325# upon "make recheck".
326am__list_recheck_tests = $(AWK) '{ \
327  recheck = 1; \
328  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
329    { \
330      if (rc < 0) \
331        { \
332          if ((getline line2 < ($$0 ".log")) < 0) \
333            recheck = 0; \
334          break; \
335        } \
336      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
337        { \
338          recheck = 0; \
339          break; \
340        } \
341      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
342        { \
343          break; \
344        } \
345    }; \
346  if (recheck) \
347    print $$0; \
348  close ($$0 ".trs"); \
349  close ($$0 ".log"); \
350}'
351# A command that, given a newline-separated list of test names on the
352# standard input, create the global log from their .trs and .log files.
353am__create_global_log = $(AWK) ' \
354function fatal(msg) \
355{ \
356  print "fatal: making $@: " msg | "cat >&2"; \
357  exit 1; \
358} \
359function rst_section(header) \
360{ \
361  print header; \
362  len = length(header); \
363  for (i = 1; i <= len; i = i + 1) \
364    printf "="; \
365  printf "\n\n"; \
366} \
367{ \
368  copy_in_global_log = 1; \
369  global_test_result = "RUN"; \
370  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
371    { \
372      if (rc < 0) \
373         fatal("failed to read from " $$0 ".trs"); \
374      if (line ~ /$(am__global_test_result_rx)/) \
375        { \
376          sub("$(am__global_test_result_rx)", "", line); \
377          sub("[        ]*$$", "", line); \
378          global_test_result = line; \
379        } \
380      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
381        copy_in_global_log = 0; \
382    }; \
383  if (copy_in_global_log) \
384    { \
385      rst_section(global_test_result ": " $$0); \
386      while ((rc = (getline line < ($$0 ".log"))) != 0) \
387      { \
388        if (rc < 0) \
389          fatal("failed to read from " $$0 ".log"); \
390        print line; \
391      }; \
392      printf "\n"; \
393    }; \
394  close ($$0 ".trs"); \
395  close ($$0 ".log"); \
396}'
397# Restructured Text title.
398am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
399# Solaris 10 'make', and several other traditional 'make' implementations,
400# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
401# by disabling -e (using the XSI extension "set +e") if it's set.
402am__sh_e_setup = case $$- in *e*) set +e;; esac
403# Default flags passed to test drivers.
404am__common_driver_flags = \
405  --color-tests "$$am__color_tests" \
406  --enable-hard-errors "$$am__enable_hard_errors" \
407  --expect-failure "$$am__expect_failure"
408# To be inserted before the command running the test.  Creates the
409# directory for the log if needed.  Stores in $dir the directory
410# containing $f, in $tst the test, in $log the log.  Executes the
411# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
412# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
413# will run the test scripts (or their associated LOG_COMPILER, if
414# thy have one).
415am__check_pre = \
416$(am__sh_e_setup);                                      \
417$(am__vpath_adj_setup) $(am__vpath_adj)                 \
418$(am__tty_colors);                                      \
419srcdir=$(srcdir); export srcdir;                        \
420case "$@" in                                            \
421  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
422    *) am__odir=.;;                                     \
423esac;                                                   \
424test "x$$am__odir" = x"." || test -d "$$am__odir"       \
425  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
426if test -f "./$$f"; then dir=./;                        \
427elif test -f "$$f"; then dir=;                          \
428else dir="$(srcdir)/"; fi;                              \
429tst=$$dir$$f; log='$@';                                 \
430if test -n '$(DISABLE_HARD_ERRORS)'; then               \
431  am__enable_hard_errors=no;                            \
432else                                                    \
433  am__enable_hard_errors=yes;                           \
434fi;                                                     \
435case " $(XFAIL_TESTS) " in                              \
436  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
437    am__expect_failure=yes;;                            \
438  *)                                                    \
439    am__expect_failure=no;;                             \
440esac;                                                   \
441$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
442# A shell command to get the names of the tests scripts with any registered
443# extension removed (i.e., equivalently, the names of the test logs, with
444# the '.log' extension removed).  The result is saved in the shell variable
445# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
446# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
447# since that might cause problem with VPATH rewrites for suffix-less tests.
448# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
449am__set_TESTS_bases = \
450  bases='$(TEST_LOGS)'; \
451  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
452  bases=`echo $$bases`
453RECHECK_LOGS = $(TEST_LOGS)
454TEST_SUITE_LOG = test-suite.log
455TEST_EXTENSIONS = @EXEEXT@ .test
456LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
457LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
458am__set_b = \
459  case '$@' in \
460    */*) \
461      case '$*' in \
462        */*) b='$*';; \
463          *) b=`echo '$@' | sed 's/\.log$$//'`; \
464       esac;; \
465    *) \
466      b='$*';; \
467  esac
468am__test_logs1 = $(TESTS:=.log)
469am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
470TEST_LOGS = $(am__test_logs2:.test.log=.log)
471TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
472TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
473        $(TEST_LOG_FLAGS)
474am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
475        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
476        $(top_srcdir)/src/TestHeaders.am
477DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
478am__relativize = \
479  dir0=`pwd`; \
480  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
481  sed_rest='s,^[^/]*/*,,'; \
482  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
483  sed_butlast='s,/*[^/]*$$,,'; \
484  while test -n "$$dir1"; do \
485    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
486    if test "$$first" != "."; then \
487      if test "$$first" = ".."; then \
488        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
489        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
490      else \
491        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
492        if test "$$first2" = "$$first"; then \
493          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
494        else \
495          dir2="../$$dir2"; \
496        fi; \
497        dir0="$$dir0"/"$$first"; \
498      fi; \
499    fi; \
500    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
501  done; \
502  reldir="$$dir2"
503ACLOCAL = @ACLOCAL@
504ADAPTATION_LIBS = @ADAPTATION_LIBS@
505ALLOCA = @ALLOCA@
506AMTAR = @AMTAR@
507AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
508AR = @AR@
509ARGZ_H = @ARGZ_H@
510AR_R = @AR_R@
511AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
512AUTH_MODULES = @AUTH_MODULES@
513AUTOCONF = @AUTOCONF@
514AUTOHEADER = @AUTOHEADER@
515AUTOMAKE = @AUTOMAKE@
516AWK = @AWK@
517BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
518BUILDCXX = @BUILDCXX@
519BUILDCXXFLAGS = @BUILDCXXFLAGS@
520BZR = @BZR@
521CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
522CC = @CC@
523CCDEPMODE = @CCDEPMODE@
524CFLAGS = @CFLAGS@
525CGIEXT = @CGIEXT@
526CHMOD = @CHMOD@
527CPP = @CPP@
528CPPFLAGS = @CPPFLAGS@
529CPPUNITCONFIG = @CPPUNITCONFIG@
530CRYPTLIB = @CRYPTLIB@
531CXX = @CXX@
532CXXCPP = @CXXCPP@
533CXXDEPMODE = @CXXDEPMODE@
534CXXFLAGS = @CXXFLAGS@
535CYGPATH_W = @CYGPATH_W@
536DEFAULT_HOSTS = @DEFAULT_HOSTS@
537DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
538DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
539DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
540DEFS = @DEFS@
541DEPDIR = @DEPDIR@
542DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
543DISK_LIBS = @DISK_LIBS@
544DISK_LINKOBJS = @DISK_LINKOBJS@
545DISK_MODULES = @DISK_MODULES@
546DISK_OS_LIBS = @DISK_OS_LIBS@
547DISK_PROGRAMS = @DISK_PROGRAMS@
548DLLTOOL = @DLLTOOL@
549DSYMUTIL = @DSYMUTIL@
550DUMPBIN = @DUMPBIN@
551ECAP_LIBS = @ECAP_LIBS@
552ECHO_C = @ECHO_C@
553ECHO_N = @ECHO_N@
554ECHO_T = @ECHO_T@
555EGREP = @EGREP@
556EPOLL_LIBS = @EPOLL_LIBS@
557EUILIB = @EUILIB@
558EXEEXT = @EXEEXT@
559EXPATLIB = @EXPATLIB@
560EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
561EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
562EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
563FALSE = @FALSE@
564FGREP = @FGREP@
565GREP = @GREP@
566HAVE_CXX11 = @HAVE_CXX11@
567ICAP_LIBS = @ICAP_LIBS@
568INCLTDL = @INCLTDL@
569INSTALL = @INSTALL@
570INSTALL_DATA = @INSTALL_DATA@
571INSTALL_PROGRAM = @INSTALL_PROGRAM@
572INSTALL_SCRIPT = @INSTALL_SCRIPT@
573INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
574KRB5INCS = @KRB5INCS@
575KRB5LIBS = @KRB5LIBS@
576LBERLIB = @LBERLIB@
577LD = @LD@
578LDAPLIB = @LDAPLIB@
579LDFLAGS = @LDFLAGS@
580LIBADD_DL = @LIBADD_DL@
581LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
582LIBADD_DLOPEN = @LIBADD_DLOPEN@
583LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
584LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
585LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
586LIBLTDL = @LIBLTDL@
587LIBOBJS = @LIBOBJS@
588LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
589LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
590LIBS = @LIBS@
591LIBSASL = @LIBSASL@
592LIBTOOL = @LIBTOOL@
593LIB_DB = @LIB_DB@
594LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
595LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
596LINUXDOC = @LINUXDOC@
597LIPO = @LIPO@
598LN = @LN@
599LN_S = @LN_S@
600LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
601LTDLDEPS = @LTDLDEPS@
602LTDLINCL = @LTDLINCL@
603LTDLOPEN = @LTDLOPEN@
604LTLIBOBJS = @LTLIBOBJS@
605LT_CONFIG_H = @LT_CONFIG_H@
606LT_DLLOADERS = @LT_DLLOADERS@
607LT_DLPREOPEN = @LT_DLPREOPEN@
608MAINT = @MAINT@
609MAKEINFO = @MAKEINFO@
610MANIFEST_TOOL = @MANIFEST_TOOL@
611MINGW_LIBS = @MINGW_LIBS@
612MKDIR = @MKDIR@
613MKDIR_P = @MKDIR_P@
614MV = @MV@
615NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
616NETTLELIB = @NETTLELIB@
617NM = @NM@
618NMEDIT = @NMEDIT@
619NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
620OBJDUMP = @OBJDUMP@
621OBJEXT = @OBJEXT@
622OTOOL = @OTOOL@
623OTOOL64 = @OTOOL64@
624PACKAGE = @PACKAGE@
625PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
626PACKAGE_NAME = @PACKAGE_NAME@
627PACKAGE_STRING = @PACKAGE_STRING@
628PACKAGE_TARNAME = @PACKAGE_TARNAME@
629PACKAGE_URL = @PACKAGE_URL@
630PACKAGE_VERSION = @PACKAGE_VERSION@
631PATH_SEPARATOR = @PATH_SEPARATOR@
632PERL = @PERL@
633PKG_CONFIG = @PKG_CONFIG@
634PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
635PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
636PO2HTML = @PO2HTML@
637PO2TEXT = @PO2TEXT@
638POD2MAN = @POD2MAN@
639RANLIB = @RANLIB@
640REGEXLIB = @REGEXLIB@
641REPL_LIBS = @REPL_LIBS@
642REPL_OBJS = @REPL_OBJS@
643REPL_POLICIES = @REPL_POLICIES@
644RM = @RM@
645SED = @SED@
646SET_MAKE = @SET_MAKE@
647SH = @SH@
648SHELL = @SHELL@
649SMBCLIENT = @SMBCLIENT@
650SNMPLIB = @SNMPLIB@
651SQUID_CFLAGS = @SQUID_CFLAGS@
652SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
653SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
654SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
655SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
656SSLLIB = @SSLLIB@
657STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
658STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
659STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
660STORE_TESTS = @STORE_TESTS@
661STRIP = @STRIP@
662TR = @TR@
663TRUE = @TRUE@
664URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
665VERSION = @VERSION@
666WBINFO = @WBINFO@
667WIN32_PSAPI = @WIN32_PSAPI@
668XMLLIB = @XMLLIB@
669XTRA_LIBS = @XTRA_LIBS@
670XTRA_OBJS = @XTRA_OBJS@
671abs_builddir = @abs_builddir@
672abs_srcdir = @abs_srcdir@
673abs_top_builddir = @abs_top_builddir@
674abs_top_srcdir = @abs_top_srcdir@
675ac_ct_AR = @ac_ct_AR@
676ac_ct_CC = @ac_ct_CC@
677ac_ct_CXX = @ac_ct_CXX@
678ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
679am__include = @am__include@
680am__leading_dot = @am__leading_dot@
681am__quote = @am__quote@
682am__tar = @am__tar@
683am__untar = @am__untar@
684bindir = @bindir@
685build = @build@
686build_alias = @build_alias@
687build_cpu = @build_cpu@
688build_os = @build_os@
689build_vendor = @build_vendor@
690builddir = @builddir@
691datadir = @datadir@
692datarootdir = @datarootdir@
693docdir = @docdir@
694dvidir = @dvidir@
695exec_prefix = @exec_prefix@
696host = @host@
697host_alias = @host_alias@
698host_cpu = @host_cpu@
699host_os = @host_os@
700host_vendor = @host_vendor@
701htmldir = @htmldir@
702includedir = @includedir@
703infodir = @infodir@
704install_sh = @install_sh@
705krb5_config = @krb5_config@
706libdir = @libdir@
707libexecdir = @libexecdir@
708localedir = @localedir@
709localstatedir = @localstatedir@
710ltdl_LIBOBJS = @ltdl_LIBOBJS@
711ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
712mandir = @mandir@
713mkdir_p = @mkdir_p@
714oldincludedir = @oldincludedir@
715pdfdir = @pdfdir@
716prefix = @prefix@
717program_transform_name = @program_transform_name@
718psdir = @psdir@
719runstatedir = @runstatedir@
720sbindir = @sbindir@
721sharedstatedir = @sharedstatedir@
722srcdir = @srcdir@
723subdirs = @subdirs@
724sys_symbol_underscore = @sys_symbol_underscore@
725sysconfdir = @sysconfdir@
726target_alias = @target_alias@
727top_build_prefix = @top_build_prefix@
728top_builddir = @top_builddir@
729top_srcdir = @top_srcdir@
730AM_CFLAGS = $(SQUID_CFLAGS)
731AM_CXXFLAGS = $(SQUID_CXXFLAGS)
732CLEANFILES = testHeaders
733TESTS = testHeaders
734AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
735        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
736        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
737        $(am__append_1)
738@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
739@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
740COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
741subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
742DIST_SUBDIRS = test
743SUBDIRS = test
744noinst_LIBRARIES = libTrie.a
745noinst_HEADERS = Trie.h TrieNode.h TrieCharTransform.h
746libTrie_a_SOURCES = Trie.cc \
747        Trie.h \
748        TrieNode.cc \
749        TrieNode.h \
750        TrieCharTransform.h
751
752all: all-recursive
753
754.SUFFIXES:
755.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
756$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
757        @for dep in $?; do \
758          case '$(am__configure_deps)' in \
759            *$$dep*) \
760              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
761                && { if test -f $@; then exit 0; else break; fi; }; \
762              exit 1;; \
763          esac; \
764        done; \
765        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/libTrie/Makefile'; \
766        $(am__cd) $(top_srcdir) && \
767          $(AUTOMAKE) --foreign lib/libTrie/Makefile
768Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
769        @case '$?' in \
770          *config.status*) \
771            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
772          *) \
773            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
774            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
775        esac;
776$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
777
778$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
779        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
780
781$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
782        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
783$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
784        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
785$(am__aclocal_m4_deps):
786
787clean-noinstLIBRARIES:
788        -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
789
790libTrie.a: $(libTrie_a_OBJECTS) $(libTrie_a_DEPENDENCIES) $(EXTRA_libTrie_a_DEPENDENCIES)
791        $(AM_V_at)-rm -f libTrie.a
792        $(AM_V_AR)$(libTrie_a_AR) libTrie.a $(libTrie_a_OBJECTS) $(libTrie_a_LIBADD)
793        $(AM_V_at)$(RANLIB) libTrie.a
794
795clean-checkPROGRAMS:
796        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
797        echo " rm -f" $$list; \
798        rm -f $$list || exit $$?; \
799        test -n "$(EXEEXT)" || exit 0; \
800        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
801        echo " rm -f" $$list; \
802        rm -f $$list
803
804mostlyclean-compile:
805        -rm -f *.$(OBJEXT)
806
807distclean-compile:
808        -rm -f *.tab.c
809
810@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Trie.Po@am__quote@
811@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TrieNode.Po@am__quote@
812
813.cc.o:
814@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
815@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
816@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
817@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
818@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
819@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
820
821.cc.obj:
822@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
823@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
824@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
825@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
826@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
827@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
828
829.cc.lo:
830@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
831@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
832@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
833@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
834@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
835@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
836
837mostlyclean-libtool:
838        -rm -f *.lo
839
840clean-libtool:
841        -rm -rf .libs _libs
842
843# This directory's subdirectories are mostly independent; you can cd
844# into them and run 'make' without going through this Makefile.
845# To change the values of 'make' variables: instead of editing Makefiles,
846# (1) if the variable is set in 'config.status', edit 'config.status'
847#     (which will cause the Makefiles to be regenerated when you run 'make');
848# (2) otherwise, pass the desired values on the 'make' command line.
849$(am__recursive_targets):
850        @fail=; \
851        if $(am__make_keepgoing); then \
852          failcom='fail=yes'; \
853        else \
854          failcom='exit 1'; \
855        fi; \
856        dot_seen=no; \
857        target=`echo $@ | sed s/-recursive//`; \
858        case "$@" in \
859          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
860          *) list='$(SUBDIRS)' ;; \
861        esac; \
862        for subdir in $$list; do \
863          echo "Making $$target in $$subdir"; \
864          if test "$$subdir" = "."; then \
865            dot_seen=yes; \
866            local_target="$$target-am"; \
867          else \
868            local_target="$$target"; \
869          fi; \
870          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
871          || eval $$failcom; \
872        done; \
873        if test "$$dot_seen" = "no"; then \
874          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
875        fi; test -z "$$fail"
876
877ID: $(am__tagged_files)
878        $(am__define_uniq_tagged_files); mkid -fID $$unique
879tags: tags-recursive
880TAGS: tags
881
882tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
883        set x; \
884        here=`pwd`; \
885        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
886          include_option=--etags-include; \
887          empty_fix=.; \
888        else \
889          include_option=--include; \
890          empty_fix=; \
891        fi; \
892        list='$(SUBDIRS)'; for subdir in $$list; do \
893          if test "$$subdir" = .; then :; else \
894            test ! -f $$subdir/TAGS || \
895              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
896          fi; \
897        done; \
898        $(am__define_uniq_tagged_files); \
899        shift; \
900        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
901          test -n "$$unique" || unique=$$empty_fix; \
902          if test $$# -gt 0; then \
903            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
904              "$$@" $$unique; \
905          else \
906            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
907              $$unique; \
908          fi; \
909        fi
910ctags: ctags-recursive
911
912CTAGS: ctags
913ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
914        $(am__define_uniq_tagged_files); \
915        test -z "$(CTAGS_ARGS)$$unique" \
916          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
917             $$unique
918
919GTAGS:
920        here=`$(am__cd) $(top_builddir) && pwd` \
921          && $(am__cd) $(top_srcdir) \
922          && gtags -i $(GTAGS_ARGS) "$$here"
923cscopelist: cscopelist-recursive
924
925cscopelist-am: $(am__tagged_files)
926        list='$(am__tagged_files)'; \
927        case "$(srcdir)" in \
928          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
929          *) sdir=$(subdir)/$(srcdir) ;; \
930        esac; \
931        for i in $$list; do \
932          if test -f "$$i"; then \
933            echo "$(subdir)/$$i"; \
934          else \
935            echo "$$sdir/$$i"; \
936          fi; \
937        done >> $(top_builddir)/cscope.files
938
939distclean-tags:
940        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
941
942# Recover from deleted '.trs' file; this should ensure that
943# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
944# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
945# to avoid problems with "make -n".
946.log.trs:
947        rm -f $< $@
948        $(MAKE) $(AM_MAKEFLAGS) $<
949
950# Leading 'am--fnord' is there to ensure the list of targets does not
951# expand to empty, as could happen e.g. with make check TESTS=''.
952am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
953am--force-recheck:
954        @:
955
956$(TEST_SUITE_LOG): $(TEST_LOGS)
957        @$(am__set_TESTS_bases); \
958        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
959        redo_bases=`for i in $$bases; do \
960                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
961                    done`; \
962        if test -n "$$redo_bases"; then \
963          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
964          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
965          if $(am__make_dryrun); then :; else \
966            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
967          fi; \
968        fi; \
969        if test -n "$$am__remaking_logs"; then \
970          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
971               "recursion detected" >&2; \
972        elif test -n "$$redo_logs"; then \
973          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
974        fi; \
975        if $(am__make_dryrun); then :; else \
976          st=0;  \
977          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
978          for i in $$redo_bases; do \
979            test -f $$i.trs && test -r $$i.trs \
980              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
981            test -f $$i.log && test -r $$i.log \
982              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
983          done; \
984          test $$st -eq 0 || exit 1; \
985        fi
986        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
987        ws='[   ]'; \
988        results=`for b in $$bases; do echo $$b.trs; done`; \
989        test -n "$$results" || results=/dev/null; \
990        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
991        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
992        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
993        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
994        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
995        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
996        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
997        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
998          success=true; \
999        else \
1000          success=false; \
1001        fi; \
1002        br='==================='; br=$$br$$br$$br$$br; \
1003        result_count () \
1004        { \
1005            if test x"$$1" = x"--maybe-color"; then \
1006              maybe_colorize=yes; \
1007            elif test x"$$1" = x"--no-color"; then \
1008              maybe_colorize=no; \
1009            else \
1010              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1011            fi; \
1012            shift; \
1013            desc=$$1 count=$$2; \
1014            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1015              color_start=$$3 color_end=$$std; \
1016            else \
1017              color_start= color_end=; \
1018            fi; \
1019            echo "$${color_start}# $$desc $$count$${color_end}"; \
1020        }; \
1021        create_testsuite_report () \
1022        { \
1023          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1024          result_count $$1 "PASS: " $$pass  "$$grn"; \
1025          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1026          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1027          result_count $$1 "FAIL: " $$fail  "$$red"; \
1028          result_count $$1 "XPASS:" $$xpass "$$red"; \
1029          result_count $$1 "ERROR:" $$error "$$mgn"; \
1030        }; \
1031        {                                                               \
1032          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1033            $(am__rst_title);                                           \
1034          create_testsuite_report --no-color;                           \
1035          echo;                                                         \
1036          echo ".. contents:: :depth: 2";                               \
1037          echo;                                                         \
1038          for b in $$bases; do echo $$b; done                           \
1039            | $(am__create_global_log);                                 \
1040        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1041        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1042        if $$success; then                                              \
1043          col="$$grn";                                                  \
1044         else                                                           \
1045          col="$$red";                                                  \
1046          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1047        fi;                                                             \
1048        echo "$${col}$$br$${std}";                                      \
1049        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1050        echo "$${col}$$br$${std}";                                      \
1051        create_testsuite_report --maybe-color;                          \
1052        echo "$$col$$br$$std";                                          \
1053        if $$success; then :; else                                      \
1054          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1055          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1056            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1057          fi;                                                           \
1058          echo "$$col$$br$$std";                                        \
1059        fi;                                                             \
1060        $$success || exit 1
1061
1062check-TESTS:
1063        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1064        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1065        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1066        @set +e; $(am__set_TESTS_bases); \
1067        log_list=`for i in $$bases; do echo $$i.log; done`; \
1068        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1069        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1070        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1071        exit $$?;
1072recheck: all $(check_PROGRAMS)
1073        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1074        @set +e; $(am__set_TESTS_bases); \
1075        bases=`for i in $$bases; do echo $$i; done \
1076                 | $(am__list_recheck_tests)` || exit 1; \
1077        log_list=`for i in $$bases; do echo $$i.log; done`; \
1078        log_list=`echo $$log_list`; \
1079        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1080                am__force_recheck=am--force-recheck \
1081                TEST_LOGS="$$log_list"; \
1082        exit $$?
1083testHeaders.log: testHeaders
1084        @p='testHeaders'; \
1085        b='testHeaders'; \
1086        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1087        --log-file $$b.log --trs-file $$b.trs \
1088        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1089        "$$tst" $(AM_TESTS_FD_REDIRECT)
1090.test.log:
1091        @p='$<'; \
1092        $(am__set_b); \
1093        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1094        --log-file $$b.log --trs-file $$b.trs \
1095        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1096        "$$tst" $(AM_TESTS_FD_REDIRECT)
1097@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1098@am__EXEEXT_TRUE@       @p='$<'; \
1099@am__EXEEXT_TRUE@       $(am__set_b); \
1100@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1101@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1102@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1103@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1104
1105distdir: $(DISTFILES)
1106        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1107        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1108        list='$(DISTFILES)'; \
1109          dist_files=`for file in $$list; do echo $$file; done | \
1110          sed -e "s|^$$srcdirstrip/||;t" \
1111              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1112        case $$dist_files in \
1113          */*) $(MKDIR_P) `echo "$$dist_files" | \
1114                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1115                           sort -u` ;; \
1116        esac; \
1117        for file in $$dist_files; do \
1118          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1119          if test -d $$d/$$file; then \
1120            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1121            if test -d "$(distdir)/$$file"; then \
1122              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1123            fi; \
1124            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1125              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1126              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1127            fi; \
1128            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1129          else \
1130            test -f "$(distdir)/$$file" \
1131            || cp -p $$d/$$file "$(distdir)/$$file" \
1132            || exit 1; \
1133          fi; \
1134        done
1135        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1136          if test "$$subdir" = .; then :; else \
1137            $(am__make_dryrun) \
1138              || test -d "$(distdir)/$$subdir" \
1139              || $(MKDIR_P) "$(distdir)/$$subdir" \
1140              || exit 1; \
1141            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1142            $(am__relativize); \
1143            new_distdir=$$reldir; \
1144            dir1=$$subdir; dir2="$(top_distdir)"; \
1145            $(am__relativize); \
1146            new_top_distdir=$$reldir; \
1147            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1148            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1149            ($(am__cd) $$subdir && \
1150              $(MAKE) $(AM_MAKEFLAGS) \
1151                top_distdir="$$new_top_distdir" \
1152                distdir="$$new_distdir" \
1153                am__remove_distdir=: \
1154                am__skip_length_check=: \
1155                am__skip_mode_fix=: \
1156                distdir) \
1157              || exit 1; \
1158          fi; \
1159        done
1160check-am: all-am
1161        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1162        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1163check: check-recursive
1164all-am: Makefile $(LIBRARIES) $(HEADERS)
1165installdirs: installdirs-recursive
1166installdirs-am:
1167install: install-recursive
1168install-exec: install-exec-recursive
1169install-data: install-data-recursive
1170uninstall: uninstall-recursive
1171
1172install-am: all-am
1173        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1174
1175installcheck: installcheck-recursive
1176install-strip:
1177        if test -z '$(STRIP)'; then \
1178          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1179            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1180              install; \
1181        else \
1182          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1183            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1184            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1185        fi
1186mostlyclean-generic:
1187        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1188        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1189        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1190
1191clean-generic:
1192        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1193
1194distclean-generic:
1195        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1196        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1197
1198maintainer-clean-generic:
1199        @echo "This command is intended for maintainers to use"
1200        @echo "it deletes files that may require special tools to rebuild."
1201clean: clean-recursive
1202
1203clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1204        clean-noinstLIBRARIES mostlyclean-am
1205
1206distclean: distclean-recursive
1207        -rm -rf ./$(DEPDIR)
1208        -rm -f Makefile
1209distclean-am: clean-am distclean-compile distclean-generic \
1210        distclean-tags
1211
1212dvi: dvi-recursive
1213
1214dvi-am:
1215
1216html: html-recursive
1217
1218html-am:
1219
1220info: info-recursive
1221
1222info-am:
1223
1224install-data-am:
1225
1226install-dvi: install-dvi-recursive
1227
1228install-dvi-am:
1229
1230install-exec-am:
1231
1232install-html: install-html-recursive
1233
1234install-html-am:
1235
1236install-info: install-info-recursive
1237
1238install-info-am:
1239
1240install-man:
1241
1242install-pdf: install-pdf-recursive
1243
1244install-pdf-am:
1245
1246install-ps: install-ps-recursive
1247
1248install-ps-am:
1249
1250installcheck-am:
1251
1252maintainer-clean: maintainer-clean-recursive
1253        -rm -rf ./$(DEPDIR)
1254        -rm -f Makefile
1255maintainer-clean-am: distclean-am maintainer-clean-generic
1256
1257mostlyclean: mostlyclean-recursive
1258
1259mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1260        mostlyclean-libtool
1261
1262pdf: pdf-recursive
1263
1264pdf-am:
1265
1266ps: ps-recursive
1267
1268ps-am:
1269
1270uninstall-am:
1271
1272.MAKE: $(am__recursive_targets) check-am install-am install-strip
1273
1274.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1275        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1276        clean-libtool clean-noinstLIBRARIES cscopelist-am ctags \
1277        ctags-am distclean distclean-compile distclean-generic \
1278        distclean-libtool distclean-tags distdir dvi dvi-am html \
1279        html-am info info-am install install-am install-data \
1280        install-data-am install-dvi install-dvi-am install-exec \
1281        install-exec-am install-html install-html-am install-info \
1282        install-info-am install-man install-pdf install-pdf-am \
1283        install-ps install-ps-am install-strip installcheck \
1284        installcheck-am installdirs installdirs-am maintainer-clean \
1285        maintainer-clean-generic mostlyclean mostlyclean-compile \
1286        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1287        recheck tags tags-am uninstall uninstall-am
1288
1289.PRECIOUS: Makefile
1290
1291
1292$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1293
1294testHeaders: $(srcdir)/*.h
1295        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1296
1297.PHONY: testHeaders
1298
1299# Tell versions [3.59,3.63) of GNU make to not export all variables.
1300# Otherwise a system limit (for SysV at least) may be exceeded.
1301.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.